Package org.apache.log4j.chainsaw.prefs

## Class SettingsManager

- java.lang.Object
- - org.apache.log4j.chainsaw.prefs.SettingsManager

-     public final class SettingsManager
      extends Object

  SettingManager allows components to register interest in Saving/Loading of general application preferences/settings.
  Author:
    Paul Smith <psmith@apache.org>, Scott Deboy <sdeboy@apache.org>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSettingsListener​(SettingsListener listener)` | Registers the listener with the manager
    `void` | `configure​(SettingsListener listener)` |
    `Properties` | `getDefaultSettings()` | Returns the loaded default settings, which can be used by other classes within this package.
    `static SettingsManager` | `getInstance()` | Returns the singleton instance of the SettingsManager
    `File` | `getSettingsDirectory()` |
    `void` | `loadSettings()` | Requests that the settings be loaded, all listeners will be notified of this call, and configure themselves according to the values found in the loaded settings
    `void` | `saveSettings()` | Creates a SaveSettingsEvent and calls all the SettingsListeners to populate the properties with configuration information

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SettingsManager getInstance()

      Returns the singleton instance of the SettingsManager
      Returns:
        settings manager

    - #### addSettingsListener

          public void addSettingsListener​(SettingsListener listener)

      Registers the listener with the manager
      Parameters:
        `listener` -

    - #### loadSettings

          public void loadSettings()

      Requests that the settings be loaded, all listeners will be notified of this call, and configure themselves according to the values found in the loaded settings

    - #### saveSettings

          public void saveSettings()

      Creates a SaveSettingsEvent and calls all the SettingsListeners to populate the properties with configuration information

    - #### getSettingsDirectory

          public File getSettingsDirectory()

    - #### configure

          public void configure​(SettingsListener listener)

    - #### getDefaultSettings

          public Properties getDefaultSettings()

      Returns the loaded default settings, which can be used by other classes within this package.
      Returns:
        Properties defaults